#!/usr/bin/perl -w

# Script to extract scores from a set of alignments and 
# write results to a single file
# Usage: scoregen <path to data set> <score output file>

use strict;

if( @ARGV != 2 && @ARGV != 3 && @ARGV != 4){
	print STDERR "Usage: scoregen <path to data set> <score output file> [data extension] [backbone]\n";
	exit;
}

my $total_alignments = 10000;
my $data_path = $ARGV[0];
my $job_path = $data_path;
my $score_outfilename = $ARGV[1];
my $fname_ext = "dat";
$fname_ext = $ARGV[2] if( @ARGV == 3 );
my $evolved_name = "evolved.dat";
$evolved_name = $ARGV[3] if @ARGV >= 4;
open( RUN_DESCRIPTION, "$data_path/run_description.txt" );
my $rd_line = <RUN_DESCRIPTION>;
$rd_line = <RUN_DESCRIPTION>;
@_ = split( /\t/, $rd_line );
my $x_var = $_[ 2 ];
my $y_var = $_[ 3 ];
chomp $y_var;
print "x_var is: $x_var, y_var is: $y_var\n"; 

open( SCOREOUT, ">$score_outfilename" );

for( my $alignjob = 0; $alignjob < $total_alignments; $alignjob++ ){
	my $tmp_score = "$job_path/alignjob.$alignjob/scores.txt";
	next if !(-e $tmp_score );

	open( SCOREFILE, "$tmp_score" );
	my $score = -1;
	while( my $cur_line = <SCOREFILE> ){
		if( $cur_line =~ /TP \+ TN \/ total/ ){
			my @vals = split( / = /, $cur_line);
			$score = $vals[1];
			chomp $score;
		}
	}
	close SCOREFILE;
	
	# read the simulation parameters
	if( $score >= 0 ){
		open( SIMPARAMS, "$data_path/alignjob.$alignjob/evolution_params.txt" );
		my $x_value = 0;
		my $y_value = 0;
		while( my $ev_params = <SIMPARAMS> ){
			if( $ev_params =~ /$x_var/ ){
				$x_value = (split( /=/, $ev_params))[1];
			}
			if( $ev_params =~ /$y_var/ ){
				$y_value = (split( /=/, $ev_params))[1];
				
			}
		}

		chomp $x_value;
		chomp $y_value;
		close SIMPARAMS;
		print SCOREOUT "$x_value\t$y_value\t$score\n";
	}
}
close SCOREOUT;

